︠8b755641-9997-4e29-80cd-4102b6210caci︠
%html
<p>I am trying to use the path object (see http://matplotlib.sourceforge.net/users/path_tutorial.html). &nbsp;This is code taken from the tutorial (with one change to show the resulting png file). &nbsp;The code works fine in python, but cuts off the bottom (below 0.2) of the graphic in Sage.</p>

︡a328bdc1-92b5-431b-90cc-6082c35e7e25︡{"html": "<p>I am trying to use the path object (see http://matplotlib.sourceforge.net/users/path_tutorial.html). &nbsp;This is code taken from the tutorial (with one change to show the resulting png file). &nbsp;The code works fine in python, but cuts off the bottom (below 0.2) of the graphic in Sage.</p>"}︡
︠a85dbbf1-d346-4696-a42f-243b90086bb9︠
import matplotlib.pyplot as plt
from matplotlib.path import Path
import matplotlib.patches as patches

verts = [
    (0., 0.),  # P0
    (0.2, 1.), # P1
    (1., 0.8), # P2
    (0.8, 0.), # P3
    ]

codes = [Path.MOVETO,
         Path.CURVE4,
         Path.CURVE4,
         Path.CURVE4,
         ]

path = Path(verts, codes)

fig = plt.figure()
ax = fig.add_subplot(111)
patch = patches.PathPatch(path, facecolor='none', lw=2)
ax.add_patch(patch)

xs, ys = zip(*verts)
ax.plot(xs, ys, 'x--', lw=2, color='black', ms=10)

ax.text(-0.05, -0.05, 'P0')
ax.text(0.15, 1.05, 'P1')
ax.text(1.05, 0.85, 'P2')
ax.text(0.85, -0.05, 'P3')

ax.set_xlim(-0.1, 1.1)
ax.set_ylim(-0.1, 1.1)
#plt.show()     
plt.savefig('bezier.png')  # changed for Sage
︡7fd8ff07-7532-4520-8c6e-598a36b622c2︡︡
